<script lang="ts">
import Vue from 'vue';
import { SlpHorizontalRule } from '../common/index.vue';
import { RESOURCE_ICON_PATH } from '../../common/constants';

export default Vue.extend({
  name: 'FeaturedReports',
  components: {
    SlpHorizontalRule,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  computed: {
    resourceIcon() {
      return RESOURCE_ICON_PATH;
    },
  },
});
</script>
<template>
  <div class="container">
    <span
      v-if="data.metadata"
      :id="data.metadata.id_tag || 'featured-reports'"
    ></span>
    <SlpTypography tag="h3" variant="heading2" class="container__title">{{
      data.title
    }}</SlpTypography>
    <div class="grid">
      <div
        v-for="(report, index) in data.reports"
        :key="report.description + `-${index}`"
        class="grid__card slp-card slp-mb-48"
      >
        <div class="slp-mb-16">
          <div class="grid__icon">
            <nuxt-img
              class="grid__icon__logo"
              :src="report.logo"
              alt=""
              loading="lazy"
              format="webp"
              quality="99"
            />
          </div>
          <SlpTypography tag="h3" variant="heading4">
            {{ report.name }}
          </SlpTypography>
          <SlpTypography tag="p" variant="body1">
            {{ report.description }}
          </SlpTypography>
          <a
            class="desktop-only"
            :href="report.cta_url"
            :data-ga-name="report.cta_data_ga_name"
            :data-ga-location="report.cta_data_ga_location"
            :aria-label="report.cta_data_ga_name"
            >Read more</a
          >
        </div>
        <nuxt-img
          class="grid__icon__image"
          :src="report.img_url"
          :alt="report.img_alt"
          loading="lazy"
          format="webp"
          quality="99"
        />
        <a
          class="mobile-only"
          :href="report.cta_url"
          :data-ga-name="report.cta_data_ga_name"
          :data-ga-location="report.cta_data_ga_location"
          :aria-label="report.cta_data_ga_name"
          >Read more</a
        >
      </div>
    </div>
    <SlpHorizontalRule />
  </div>
</template>
<style lang="scss" scoped>
.container {
  display: flex;
  flex-direction: column;
  align-items: center;

  &__title {
    margin-bottom: $spacing-32;
    font-size: $text-heading-2;
    line-height: $line-height-heading-2;
    font-weight: $font-weight-normal;
  }
}
.grid {
  width: 100%;
  display: flex;
  flex-direction: column;
  position: relative;

  &__card {
    max-width: 100%;
    display: flex;
    flex-direction: column;
    min-height: 316px;

    &:hover {
      box-shadow: 0 2px 50px rgba($color-surface-700, 0.25);
    }

    a {
      &:after {
        content: '→';
        opacity: 0;
        transition: 0.25s;
      }

      &:hover:after {
        opacity: 1;
      }
    }

    @media (min-width: $breakpoint-md) {
      width: 539px;
      flex-direction: row;
    }
  }

  &__icon {
    margin-bottom: $spacing-16;
  }

  @media (min-width: $breakpoint-md) {
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
  }

  &__icon__image {
    max-width: 195px;
    max-height: 203px;

    @media (max-width: $breakpoint-md) {
      max-height: 100%;
      max-width: 100%;
    }
  }
}
.desktop-only {
  display: none;
  @media (min-width: $breakpoint-md) {
    display: block;
  }
}
.mobile-only {
  display: none;
  @media (max-width: $breakpoint-md) {
    display: block;
  }
}
</style>
